<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Page de connexion publique
// Nom      : index_public.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

$mode_autologin = 1; // 1にしておくとpublicアカウントが１つの場合に自動ログイン。

//// いったんログインしたら戻るボタンでindex.phpに戻ってもログアウトしないようにする。
if(session_start() && !empty($_SESSION["ws"]["listeServeur"][0]) && !empty($_SESSION["ws"]["typeUser"]))
{
	header("Location: start.php");
	exit();
}

include_once "public.php";
include_once "prive.php";

?>

<?php if($navig=="IE7") { ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<?php }else{ ?>
<!DOCTYPE html>
<?php } ?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=7;IE=8;IE=9"><?php //////// IE10以降でこける ?>
<link rel="shortcut icon" href="style/favicon2.ico" type="image/ico" />
<script language="JavaScript" src="ident.php" type="text/javascript"></script>
<style type="text/css" title="currentStyle">
    @import url('style/Standard.css');
</style>
<!--
WebShare0.8.2ακ1.7 : 2012 Tanabata version.
 Reformed by kiyoshi@kuragane.jp / 2012.07.07
 http://kuragane.jp/index.html?id=137
Original source is WebShare0.8.2α : http://www.webshare.fr/
-->
<title>WebShare</title>
</head>
<body>
  <div class='frame_invite' id="fond">
  <div id="leftside"></div>
  <div id="rightside"></div>
  <noscript>
    <div class='invite' style='z-index:100;padding-top:20px'>
      <?php echo $_SESSION["ws"]["dia"]["noJS"];?>
    </div>
  </noscript>
  <div id="header"></div>
  <div class='invite' id='invite'>
    <form method="post" name='ident' onsubmit='cestparti_public();return(false);'>
      <input type='hidden' name='actif' value='ok'>
      <div id="message" style="font-size:12px;"><?php echo $_SESSION["ws"]["dia"]["chooseAccount"]; ?></div>
      <div id="divlogin" style="height:24px;margin-top:20px">
        <select name="login" id="login" class="logint" onchange="launch(this.value)" onmouseover="enableS();" onmouseout="disableS();" style="height:22px;font-size:14px;">
          <option value="" style="height:20px;font-size:14px;"><?php echo $_SESSION["ws"]["dia"]["choose"]; ?></option>
<?php for ($i=0;$i<count($listeCompte);$i++) {
	echo '          <option value="'.$listeCompte[$i].'" style="height:20px;font-size:14px;">'.$listeNom[$i].'</option>';
} ?>
        </select>
      </div>
      <div id="divpass"><input name="pass" type="hidden" id="pass" class="passwordt"></div>
      <div id="divvalid"><input type="submit" value="<?php echo $_SESSION["ws"]["dia"]["enter"]; ?>" style="border:0;background:transparent;font-size:18px;"></div>
    </form>
  </div>
 </div>
</body>
</html>
