<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Affiche l'aperçu d'une image
// Nom      : apercu.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// 写真などのリストとウインドウを作成
//// 画像表示の前へ、後へボタン、スライドショーなどに影響する。

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

verifie($_REQUEST["url"]);

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv   = $_SESSION["ws"]["serveurActif"];
$url      = convertUTF8(str_replace("+", "%2B", $_REQUEST["url"])); //// "%2B"="+"
$filename = filename($url);
$pathurl  = blindeChemin($_SESSION["ws"]["cheminActif"]."/".$url);
$rep      = blindeChemin($_SESSION["ws"]["cheminActif"]."/".$_SESSION["ws"]["dossierActif"]);
$compteur = 0;
$valimg   = -1;
$typeApercuReco = "/jpe?g|png|gif|bmp|ico/i"; //// 拡大画像を表示できるタイプ。表示するPCによっても少し変わる。確実な線で。

echo "<form name='formlisteimg'>";
if($_SESSION["ws"]["$nomSrv"]["typeServeur"] == "2"){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }
if(($contents = F_dirlist($nomSrv, $rep)) !== FALSE)
{
	usort($contents, "compare");
	foreach($contents as $file)
	{
		if(preg_match("@^(?:[.]{2}|[.]{1}|wsminis|[._]param)$@u", $file)){ continue; }
		$pathfile = blindeChemin(convertUTF8("$rep/$file"));
		if(!@F_is_dir($nomSrv, $pathfile) && !preg_match($_SESSION["ws"]["varsUser"], $file))
		{
			$point = strrpos($file, ".");
			$extension = substr($file, intval($point)+1);
			if(preg_match($typeApercuReco, $extension))
			{
				$droitSImg = F_gestion($nomSrv, $pathfile);
				echo "<input type='hidden' name='listeimg' value=\"".blindeChemin(convertUTF8($_SESSION["ws"]["dossierActif"]."/".$file))."\">\n";
				echo "<input type='hidden' name='droitimg' value=\"".$droitSImg."\">\n";
				if($pathfile == $pathurl)
				{
					$valimg   = $compteur; //// 現在表示中の画像。
					$droitimg = $droitSImg;
				}
				$compteur++;
			}
		}
	}
}
if($valimg < 0) //// FAVから表示した場合などリスト中にあるとは限らない！
{
	$valimg = $compteur++;
	$droitimg = F_gestion($nomSrv, blindeChemin($_SESSION["ws"]["cheminActif"]."/$url"));
	echo "<input type='hidden' name='listeimg' value=\"".$url."\">\n";
	echo "<input type='hidden' name='droitimg' value=\"".$droitimg."\">\n";
}
echo "<input type='hidden' name='numimg' value='$valimg'>\n";
echo "<input type='hidden' name='maximg' value='$compteur'>\n";

//// 画像編集用に必要な画像のデータ。FAVから表示した場合などリスト中にあるとは限らない！
$visuimgpath = blindeChemin($_SESSION["ws"]["cheminActif"]."/".$url);
if($_SESSION["ws"]["$nomSrv"]["typeServeur"] == "2") //// FTP
{
	$imgTemp = blindeChemin($_SESSION["ws"]["tempDir"]."/".filename($visuimgpath));
	file_put_contents($imgTemp, F_get_contents($nomSrv, $visuimgpath));
	list($largeurimg, $hauteurimg, $type, $attr) = getimagesize($imgTemp);
	unlink($imgTemp);
}
else
{
	list($largeurimg, $hauteurimg, $type, $attr) = getimagesize($visuimgpath);
}
echo "<input type='hidden' name='urlimg' value=\"".$url."\">\n";
echo "<input type='hidden' name='largeurimg' value=\"".$largeurimg."\">\n";
echo "<input type='hidden' name='hauteurimg' value=\"".$hauteurimg."\">\n";
echo "</form>";

if($_SESSION["ws"]["$nomSrv"]["typeServeur"] == "2"){ closeFTP($nomSrv); }

//// 表示順のソート関数
function compare($a, $b) {
	if($_SESSION["ws"]["senstriUser"] == "desc")
		return @strcmp(strtolower($b), strtolower($a));
	else
		return @strcmp(strtolower($a), strtolower($b));
}

?>

<div id='cadrpic' onmouseover="startWheel();if(attenteClic===false){iciNom='<?php echo $filename; ?>';iciPerm='<?php echo $droitimg; ?>';iciType='wspict';menoNom='<?php echo $filename; ?>';memoPerm='<?php echo $droitimg; ?>';memoType='wspict';}" onmouseout="stopWheel();if(attenteClic===false){iciType='defaut';}">
</div><?php //// プレビュー画面で写真を表示する部分。 ?>

<div id='loadingImg' style='position:relative;visibility:visible;text-align:center;'>
  <img src='<?php echo $_SESSION["ws"]["cheminImg"]?>loading2.gif'>
  <br /><?php echo $_SESSION["ws"]["dia"]["loading"]; ?>
</div>

<div id='exifpic' onmouseover="iciPerm='<?php echo $droitimg; ?>';iciType='wspict';memoPerm='<?php echo $droitimg; ?>';memoType='wspict';" onmouseout="iciType='defaut';">
  <div id='close_exif'><img src='<?php echo $_SESSION["ws"]["cheminImg"]?>close.<?php echo $_SESSION["ws"]["formatExt"]?>' onclick='cacheExif()'></div>
</div>
</div>

<?php

$tabLog= array("4", "1", $_SESSION["ws"]["dia"]["pictPreview"]." ".$filename, $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $filename, "");
$l_sql->logAction($tabLog);
$l_sql->disconnect();

?>
