<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Affiche une alerte "fichier en cours de modification"
// Nom      : bloquer.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// ファイルのロック、アンロックをする。

header("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

$l_sql = new class_sql();
$l_sql->connect();

// La base de données doit être connectée
if($l_sql->test())
{
	$p_param= $l_sql->blinde_param($_REQUEST);

	// Récupération des informations serveurs
	if(!empty($p_param["nomSrv"])){ $nomSrv= $p_param["nomSrv"]; }
	else{ $nomSrv= $_SESSION["ws"]["serveurActif"]; }
	$nomPro  = $p_param["nomPro"];
	$typeSrv = $_SESSION["ws"]["$nomSrv"]["typeServeur"];
	$chemin  =  blindeChemin($_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]);
	$nomElement    = filename(rawurldecode(stripslashes(trim($p_param["lienElement"]))));
	$cheminElement = blindeChemin(convertUTF8($chemin)."/$nomElement");
	$cheminFichier = blindeChemin("/".$_SESSION["ws"]["$nomSrv"]["repServeur"]."/".$_SESSION["ws"]["dossierActif"]);
	if($cheminFichier == ""){ $cheminFichier = "/"; }
	$nomFichier    = $nomElement;

	// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
	verifie($nomElement);

	// Gestion des favoris
	$request= "SELECT * FROM wsfiles WHERE nomServeur = '$nomSrv' AND path = '$cheminFichier' AND file = '$nomFichier' AND locked = 1 ";
	$result = $l_sql->request_result($request);
	if(empty($result))
	{
		$request= "INSERT INTO wsfiles (idUser, idServeur, nomServeur, username, path, file, commentaires, version, viewed, favoris, changed, locked) VALUES ( '".$_SESSION["ws"]["idUser"]."', '".$_SESSION["ws"]["$nomSrv"]["idServeur"]."', '$nomSrv', '".$_SESSION["ws"]["nomUser"]."', '$cheminFichier', '$nomFichier', '', '', 0, 0, 0, 1) ";
		$message= $_SESSION["ws"]["dia"]["confirmFileInUse"];
		$result = $l_sql->request($request);
	}
	else
	{
		if($result[0]["locked"]!=1)
		{ $verrou=1; $message= $_SESSION["ws"]["dia"]["confirmFileInUse"]; }
		else { $verrou=0; $message= $_SESSION["ws"]["dia"]["confirmFileNotUse"]; }
		$request= "DELETE FROM wsfiles WHERE nomServeur = '$nomSrv' AND path = '$cheminFichier' AND file = '$nomFichier' AND locked = 1 ";
		$result = $l_sql->request($request);
	}
	$l_sql->disconnect();
}
else
{
	$message = $_SESSION["ws"]["dia"]["alertfunction3"];
}
echo $message;

?>
