<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Créer un nouveau dossier
// Nom      : crea_dossier.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// フォルダの作成

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv  = $_SESSION["ws"]["serveurActif"];
$chemin  = $_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]."/".$_SESSION["ws"]["dossierActif"];
$typeSrv = $_SESSION["ws"]["$nomSrv"]["typeServeur"];

// L'utilisateur doit être autorisé à effectuer l'opération
if($_SESSION["ws"]["auth2"] == "on")
{
	// Test du contenu des variables
	if(!empty($_REQUEST["nomElement"]))
	{
		if(preg_match($_SESSION["ws"]["varsUser"], $_REQUEST["nomElement"]))
		{
			echo $_SESSION["ws"]["dia"]["noPermission"];
			$tabLog = array("7", "-1", $_SESSION["ws"]["dia"]["noPermission"], $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $_REQUEST["nomElement"], "");
			$l_sql->logAction($tabLog);
			exit;
		}
		// Construction des chemins
		$chemin = convertUTF8($chemin);
		$nomdossier = convCar(rawurldecode(trim($_REQUEST["nomElement"])));
		$chemindossier = stripslashes(blindeChemin("$chemin/$nomdossier"));
		if($typeSrv == "2"){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }
			// Création du dossier
		if(F_mkdir($nomSrv, $chemindossier) === false)
		{
			$message = $_SESSION["ws"]["dia"]["dirCreate"]." '".$nomdossier."' ".$_SESSION["ws"]["dia"]["hasFailed"].". ".$erreur;
		}
		else
		{
			$message = $_SESSION["ws"]["dia"]["theNewDir"]." '".$nomdossier."' ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["created"]." ".$_SESSION["ws"]["dia"]["withSuccess"];
		}
		if($typeSrv == "2"){ closeFTP($nomSrv); }
	}
}
else
{
	$message = $_SESSION["ws"]["dia"]["prohibited"];
}

echo $message;
$tabLog = array("7", "1", $message, $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $nomdossier, "");
$l_sql->logAction($tabLog);
$l_sql->disconnect();

?>
