<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Ajoute un nouveau lien dans le répertoire courant
// Nom      : crea_lien.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// urlショートカットを作成する。

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv  = $_SESSION["ws"]["serveurActif"];
$chemin  = $_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]."/".$_SESSION["ws"]["dossierActif"];
$typeSrv = $_SESSION["ws"]["$nomSrv"]["typeServeur"];

// L'utilisateur doit être autorisé à effectuer l'opération
if($_SESSION["ws"]["auth2"]=="on")
{
	// Test du contenu des variables
	if(!empty($_REQUEST["nomElement"]))
	{
		if(preg_match($_SESSION["ws"]["varsUser"], $_REQUEST["nomElement"]))
		{
			echo $_SESSION["ws"]["dia"]["noPermission"];
			$tabLog = array("8","-1",$_SESSION["ws"]["dia"]["noPermission"],$_SESSION["ws"]["nomUser"],$_SESSION["ws"]["dossierActif"],$_REQUEST["nomElement"],"");
			$l_sql->logAction($tabLog);
			exit;
		}

		// Construction des chemins
		$nomLien = convCar(rawurldecode(trim($_REQUEST["nomElement"])));
		$adrLien = rawurldecode(trim($_REQUEST["adrElement"]));
		if(!preg_match("@^(?:https?|ftp)://@", $adrLien)){ $adrLien="http://".$adrLien; }
		$chemin = convertUTF8($chemin);
		$cheminLien = stripslashes(blindeChemin("$chemin/$nomLien.url"));

		// Création du lien
		if($typeSrv == "2"){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }
		$contents = "[DEFAULT]\nBASEURL=".$adrLien."\n[InternetShortcut]\nURL=".$adrLien."\n";
		if(F_put_contents($nomSrv, $cheminLien, $contents) !== FALSE)
		{
			$message= $_SESSION["ws"]["dia"]["theNewLink"]." '".$nomLien."' ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["created"]." ".$_SESSION["ws"]["dia"]["withSuccess"];
		}
		else
		{
			$message= $_SESSION["ws"]["dia"]["linkCreate"]." '".$nomLien."' ".$_SESSION["ws"]["dia"]["hasFailed"].". $erreur";
		}
		if($typeSrv == "2"){ closeFTP($nomSrv); }
	}
}
else
{
	$message = $_SESSION["ws"]["dia"]["prohibited"];
}

echo $message;
$tabLog = array("8", "1", $message, $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $adrLien, "");
$l_sql->logAction($tabLog);
$l_sql->disconnect();

?>
