<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Affiche le lecteur QuickTime
// Nom      : qtplayer.php
// Version  : 0.8.2
// Date     : 21/02/08
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// 参考ページ
////  http://support.apple.com/kb/TA26485?viewlocale=ja_JP
////  http://support.apple.com/kb/TA26486?viewlocale=ja_JP
////  http://phpjavascriptroom.com/?t=strm&p=mov_embed

session_start();
include_once "../../moteur/auth.php";
include_once "../../wspasswd/define.php";
include_once "../../moteur/fonctions.php";

$chemin = rawurldecode($_REQUEST["chemin"]);
//// アドレスは絶対パスでないとだめなときがある。Version? or File Type?
//// あるときから相対パスだと音楽ファイルが再生されなくなった。
////$src = "../../$chemin"; //// 相対パス。以前はこれでよかった。
$src = 'http://'.preg_replace('@/plugins/.*$@', "/$chemin", $_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF']); //// 絶対パス。
?>
<html>
<head>
</head>
<body style="width:100%;height:100%;border:0;padding:10px;margin:0;overflow:hidden;text-align:center;">
<script type="text/javascript">
	<?php //// 画面サイズを取得して大きさを設定。<body>のあとでないとだめ。bodyはwidth.heightに100%を指定しておかないとだめ。 ?>
	windowWidth  = document.documentElement.clientWidth  ? document.documentElement.clientWidth  : (document.body.clientWidth  ? document.body.clientWidth  : window.innerWidth);
	windowHeight = document.documentElement.clientHeight ? document.documentElement.clientHeight : (document.body.clientHeight ? document.body.clientHeight : window.innerHeight);
<?php if(!preg_match('@MSIE |Trident/@', $_SERVER['HTTP_USER_AGENT'])) { ?>
	windowWidth  -= 16; // ブラウザによってスクロールバーの分ちがうらしいので調整。
	windowHeight -= 16;
<?php } ?>
	objectWidth  = windowWidth  - 20; //// bodyのpadding分。
	objectHeight = windowHeight - 20;
<?php /*
//// OBJECTはIE向け、EMBEDはMozzila系向け。
//// <OBJECT>はIE、<EMBED>はFirefoxなどMozzila系
//// scaleを指定しないと画像の縮小、拡大はされない。
//// scale 無指定：大きな画像なら一部、tofit:アスペクト無視で画面内に縮小、aspect:縦横比を保って納める、数値():倍率
//// typeはオプションらしい。なくてもだいじょうぶ。
*/ ?>
  document.body.innerHTML=''
+'<OBJECT id="QT" name="QT" width="'+objectWidth+'" height="'+objectHeight+'"'
//+' TYPE="video/quicktime"'
+' classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B"'
+' codebase="http://www.apple.com/qtactivex/qtplugin.cab">'
+'<PARAM name="src" value='+'"<?php echo $src; ?>"'+' />'
+'<PARAM name="qtsrc" value='+'"<?php echo $src; ?>"'+' />'
+'<PARAM name="autoplay" value="true" />'
+'<PARAM name="loop" value="false" />'
+'<PARAM name="bgcolor" value="#FFFFFF" />'<?php //// #はなくてもいい。whiteなど色名もOK。 ?>
+'<PARAM name="scale" value="aspect" />'
+'<PARAM name="controller" value="true" />'
+'<EMBED name="QT" width="'+objectWidth+'" height="'+objectHeight+'"'
//+' type="video/quicktime"'
+' src='+'"<?php echo $src; ?>"'
+' qtsrc='+'"<?php echo $src; ?>"'
+' autoplay="true" loop="false" bgcolor="#FFFFFF"'
+' scale="aspect" controller="true"'
+' PLUGINSPAGE="http://www.apple.com/quicktime/download/">'
+'</EMBED>'
+'</OBJECT> ';
</script>
</body>
</html>
