<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Ajoute un fond d'écran dans le répertoire actuel
// Nom      : crea_fond.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// 背景画像を設定する。Localでのみ動作。

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

verifie($_REQUEST["nomElement"]);

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv = $_SESSION["ws"]["serveurActif"];
$chemin = $_SESSION["ws"]["cheminActif"].$_SESSION["ws"]["dossierActif"];

if(!empty($_REQUEST["nomElement"]))
{
	$adrFond = trim($_REQUEST["nomElement"]);
	$good = 0;
	$remp = 0;
	$cheminFond = cheminCom($_SESSION["ws"]["serveurActif"], $chemin."/_param");

	$lines = @file($cheminFond);
	if(($dest = fopen($cheminFond, "w+")) !== false)
	{
		if(count($lines))
		{
			foreach($lines as $line_num => $line)
			{
				$line = trim($line);
				if((preg_match("@\[(.*)\/(.*)\]@u",$line)) && ($good == 1)){ $good = 2; }
				if((preg_match("@\[BackgroundShortcut\]@", $line))){ $good = 1; }
				if((preg_match("@URL=(.*)@", $line,$regFond)) && ($good == 1))
				{
					if(trim($regFond[1]) != $adrFond){ $line = "URL=".$adrFond; }
					else{ $line="URL="; $remp=1; }
				}
				if($good != 1){ fwrite ($dest, $line."\n"); }
			}
			if($good==0){ fwrite($dest, "\n[BackgroundShortcut]\nURL=".$adrFond); }
		}
		else
		{
			fwrite ($dest, "[BackgroundShortcut]\nURL=".$adrFond);
		}
		fclose ($dest);
		if(!$remp){ $message = $_SESSION["ws"]["dia"]["backgAdded"]; }
		else{ $message = $_SESSION["ws"]["dia"]["backgRemoved"]; }
  }

	echo $message;
	$tabLog = array("30", "1", $message, $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $adrFond, "");
	$l_sql->logAction($tabLog);
	$l_sql->disconnect();
}

?>
