<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Enregistre le fichier sélectionné
// Nom      : enregistrer.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";
include_once "zip.lib.php";

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv = $_SESSION["ws"]["serveurActif"];
$chemin = stripslashes($_SESSION["ws"]["cheminActif"]."/".$_SESSION["ws"]["dossierActif"]);
$all= intval($_REQUEST["all"]);

if(!empty($_REQUEST["ok"]))
{
	$zipfile = new zipfile();
	$zipfilename   = filename($_SESSION["ws"]["$nomSrv"]["repServeur"]."/".$_SESSION["ws"]["dossierActif"]."_archive").'.zip';
	$zip_subfolder = 'Webshare_Fichiers';

	function saveScandir($ad_dir, $path)
	{
		global $all, $zipfile;
		if($handle = opendir($ad_dir))
		{
			while(false !== ($file = readdir($handle)))
			{
				if(!is_dir("$ad_dir/$file"))
				{
					if(!preg_match($_SESSION["ws"]["varsUser"], $file))
					{
						$f_tmp = @fopen("$ad_dir/$file", 'r');
						if($f_tmp)
						{
							$dump_buffer = fread( $f_tmp, filesize("$ad_dir/$file"));
							$zipfile -> addFile($dump_buffer, convCar($path.(!empty($path)?'/':'').$file));
							fclose($f_tmp);
						}
					}
				}
				else
				{
					if(!preg_match($_SESSION["ws"]["varsUser"], $file) && ($all == 1))
					{
						saveScandir("$ad_dir/$file", $path.(!empty($path)?'/':'').$file);
					}
				}
			}
		}
	}
	saveScandir(blindeChemin($chemin), "");

	$dump_buffer = $zipfile->file();

	header('Pragma: public');
	header('Content-type: application/zip;');
////	header('Content-length: '.strlen($dump_buffer)); //// unsafe headerエラーになる。
	header('Content-Disposition: attachment; filename="'.str_replace(" ", "", rawurldecode($zipfilename)).'"');
	flush();

	$tabLog = array("14", "1", $_SESSION["ws"]["dia"]["savingDirContent"].$_SESSION["ws"]["dossierActif"], $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $zipfilename, "");
	$l_sql->logAction($tabLog);
	$l_sql->disconnect();

	echo $dump_buffer;

}

?>
