<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Rechercher un fichier
// Nom      : rechercher.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// 検索を実行。

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv     = $_SESSION["ws"]["serveurActif"];
$cheminRoot = blindeChemin($_SESSION["ws"]["cheminActif"]);
$chemin     = blindeChemin($_SESSION["ws"]["cheminActif"]."/".$_SESSION["ws"]["dossierActif"]);
$chscan     = $_SESSION["ws"]["$nomSrv"]["rootServeur"];
$recherche_file    = convCar(rawurldecode(trim($_REQUEST["nomElement"]))); //// ファイル名検索語
$recherche_comment = rawurldecode(trim($_REQUEST["nomElement"])); //// 追加
$casse      = intval($_REQUEST["useCasse"]); ////大文字小文字の区別。1で大文字小文字を区別
$trouve = 0;
$nbElement = 0;
$param="";

// Fonction de recherche récursive
function recScandir($dir, $recherche_file, $casse, $niveau) //// $dir:探すディレクトリ、$niveau:検索ディレクトリ深さ
{
	global $trouve, $nbElement, $nomSrv, $chemin, $cheminRoot, $recherche_comment, $typeImgReco;

	$files = array();
	$rawfile = array();

	if($handle = opendir(blindeChemin("$chemin/$dir")))
	{
		//// 追加。このディレクトリのコメントファイルの内容を取得する。
		$cheminComFile  = cheminCom($nomSrv, "$chemin/$dir/_param");
		if(($param = F_get_contents($nomSrv, $cheminComFile)) === FALSE)
		{
			$param = "";
		}
		while(($file = readdir($handle)) !== false)
		{
			$droit = F_gestion($nomSrv, "$chemin/$dir/$file");
			if(!preg_match($_SESSION["ws"]["varsUser"], $file))
			{
				if(is_dir("$chemin/$dir/$file") && ($droit != "N") && ($droit != "W")) //// これはディレクトリ
				{
					if(  (($casse != 1) && (preg_match("@$recherche_file@ui", $file)))
						|| (($casse == 1) && (preg_match("@$recherche_file@u",  $file)))
						|| (comment_match($param, $file, $recherche_comment, $casse))  )  //// comment_match追加。
					{ //// 検索語が見つかった。
						$comment = comment_get($param, $file);
						$lien = blindeLien($_SESSION["ws"]["dossierActif"]."/$dir/$file"); //// dossierActif追加
						$nom  = blindeNom("$file");
						$afficdir  = blindeLien("/$dir/"); //// 表示がわかりやすいよう//で囲んだ。
						$labelType = $_SESSION["ws"]["assoc"][strtolower($extension)]["exttype"];
						echo(
 "<div class='cible' onclick='if(altClick==0){memoContext();lanceAction(\"\");}' onmouseover='rechOver(this,\"Rech$nbElement\")' onmouseout='rechOut(this)' style='white-space:nowrap; height:32px; padding-left:6px; cursor:pointer;'>"
."<div id='divInfoRech$nbElement' style='display:none'> \n"
."  tabFileInfo.fileInfoRech$nbElement= { \n"
."  num : \"Rech$nbElement\", \n"
."  lnk : \"$lien\", \n"
."  nom : \"$nom\", \n"
."  ext : \"$extension\", \n"
."  lab : \"$labelType\", \n"
."  tai : \"$taille\", \n"
////."  prm : \"$droit\", \n" //// 編集操作はできないように。
."  prm : \"R\", \n"
."  pro : \"dossier\", \n"
."  dtm : \"$modif\", \n"
."  web : \"\", \n"
."  fav : \"\", \n"
."  srv : \"$nomSrv\" \n"
." }; \n"
."</div>"

."<div class='caseimg' style='width:32px;height:32px;float:left;cursor:pointer;clear:both;'><img src='".$_SESSION["ws"]["cheminIcn"]."minis/big3.".$_SESSION["ws"]["formatExt"]."'></div>"
."<div style='white-space:nowrap;overflow:hidden;'><u class='lien' onmouseover='this.className=\"lienover\"' onmouseout='this.className=\"lien\"'><b>$nom</b></u>"
."<br />(<span onclick='if(altClick==0){iciPro=\"dossier\";iciLien=\"".dirname($lien)."\";}' onmouseover='this.style.background=\"#f8f\";' onmouseout='this.style.background=\"transparent\";' style='cursor:default;background:transparent;'><img src='style/Standard/images/infolien.png'>$afficdir</span>)</div></div>"
."<div class='comment' style='white-space:nowrap;overflow:hidden;' >&nbsp;".($comment?$comment:"")."</div>"
."<img src='".$_SESSION["ws"]["cheminImg"]."barre.".$_SESSION["ws"]["formatExt"]."' style='width:90%;height:1px;padding:3px'><br/>\n");

						$trouve=1;
						$nbElement++;
					}
					if($niveau < 9)
					{
						$files["$file"] = recScandir("$dir/$file", $recherche_file, $casse, $niveau+1);
					}
				}
				else //// これはファイル
				{
					if( ($droit != "N") && ($droit != "W")
						&& ( (($casse != 1) && (preg_match("@$recherche_file@ui", $file)))
							|| (($casse == 1) && (preg_match("@$recherche_file@u",  $file)))
							|| (comment_match($param, $file, $recherche_comment, $casse)) ) ) //// comment_match追加。
					{ //// 検索語が見つかった
						$comment = comment_get($param, $file);
						$lien = blindeLien($_SESSION["ws"]["dossierActif"]."/$dir/$file"); //// dossierActif追加
						$lienWeb = "";
						if(strpos($lien, ".url"))
						{
							$content_file = file(blindeLien("$chemin/$lien"));
							preg_match("@(http.*)$@u", "$content_file[1]", $reglien);
							$lienWeb = trim($reglien[1]);
						}
						$nom = convertUTF8(blindeNom("$file"));
						$afficdir = blindeLien($_SESSION["ws"]["dossierActif"]."/$dir/"); //// 表示がわかりやすいよう//で囲んだ。
						$point = strrpos($nom, ".");
						$extension  = substr($nom, intval($point)+1);
						$nomfichier = substr($nom, 0, intval($point));
						$labelType = $_SESSION["ws"]["assoc"][strtolower($extension)]["exttype"];
						$pro="local";
						if($extension=="url") { $pro="url"; }

						//// 可能な限り縮小画像を表示するように。
						if(preg_match($typeImgReco, $extension))
						{
							$imgsrc = "moteur/pic.php?mini=1&typeimg=".strtolower($extension)."&pic=".rawurlencode($lien);
						}
						else
						{
							$imgsrc = $_SESSION["ws"]["cheminIcn"]."minis/".strtolower($extension).".".$_SESSION["ws"]["formatExt"];
						}
						echo(
 "<div class='cible' onclick='if(altClick==0){memoContext();lanceAction(\"\");}' onmouseover='rechOver(this,\"Rech$nbElement\")' onmouseout='rechOut(this)' style='white-space:nowrap; height:32px; padding-left:6px; cursor:pointer;'>"
."<div id='divInfoRech$nbElement' style='display:none'> \n"
."  tabFileInfo.fileInfoRech$nbElement= { \n"
."  num : \"Rech$nbElement\", \n"
."  lnk : \"$lien\", \n"
."  nom : \"$nomfichier\", \n"
."  ext : \"$extension\", \n"
."  lab : \"$labelType\", \n"
."  tai : \"$taille\", \n"
////."  prm : \"$droit\", \n" //// 編集操作はできないように。
."  prm : \"R\", \n"
."  pro : \"$pro\", \n"
."  dtm : \"$modif\", \n"
."  web : \"$lienWeb\", \n"
."  fav : \"\", \n"
."  srv : \"$nomSrv\" \n"
." }; \n"
."</div>"
."<div class='caseimg' style='width:40px;height:30px;float:left;cursor:pointer;clear:both;text-align:center;'><img src='".$imgsrc."' style='max-width:40px;max-height:30px;'></div>"
."<div style='padding-left:2px;white-space:nowrap;overflow:hidden;'><u class='lien' onmouseover='this.className=\"lienover\"' onmouseout='this.className=\"lien\"'><b>$nom</b></u>"
."<br />(<span onclick='if(altClick==0){iciPro=\"dossier\";iciLien=\"".dirname($lien)."\";}' onmouseover='this.style.background=\"#f8f\";' onmouseout='this.style.background=\"transparent\";' style='cursor:default;background:transparent;'><img src='style/Standard/images/infolien.png'>$afficdir</span>)</div></div>"
."<div class='comment' style='white-space:nowrap;overflow:hidden;' >&nbsp;".($comment?$comment:"")."</div>"
."<img src='".$_SESSION["ws"]["cheminImg"]."barre.".$_SESSION["ws"]["formatExt"]."' style='width:90%;height:1px;padding:3px'><br/>\n");

						$trouve=1;
						$nbElement++;
					}
				}
			}
		}
		closedir($handle);
		return $files;
	}
}

// Fonction de recherche récursive sur FTP
function recScandirFTP($dir, $recherche_file, $casse, $niveau)
{
	global $trouve, $nbElement, $nomSrv, $chemin, $cheminRoot, $recherche_comment, $typeImgReco;

	$files = array();
	$rawfile = array();

	if(($contents = B_ftp_rawlist($nomSrv, blindeChemin($dir))) !== FALSE)
	{
		//// 追加。このディレクトリのコメントファイルの内容を取得する
		$cheminComFile = cheminCom($nomSrv, "/$dir/_param");
		if(($param = F_get_contents((USE_wssite?"wssite":$nomSrv), $cheminComFile)) === FALSE)
		{
			$param = "";
		}

		foreach($contents as $file)
		{
			if(!preg_match($_SESSION["ws"]["varsUser"], $file))
			{
				$info = array();
				$vinfo = preg_split("@[\s]+@u", $file, 9);
				if($vinfo[0] !== "total")
				{
					$fileperms = $vinfo[0];
					$filename  = $vinfo[8];
				}
				$droit = permFTP($fileperms);

				if( (strpos($fileperms, "d") !== FALSE) && ($droit != "N") && ($droit != "W") ) //// これはディレクトリ
				{
					if(  (($casse != 1) && preg_match("@$recherche_file@ui", $filename))
						|| (($casse == 1) && preg_match("@$recherche_file@u",  $filename))
						|| (comment_match($param, $filename, $recherche_comment, $casse))  ) //// comment_match追加。
					{ //// 検索語が見つかった。
						$comment = comment_get($param, $filename);
						$lien = blindeLien("$dir/$filename");
						if($cheminRelatif != "/")
						{
							$cheminRelatif = "/$cheminRelatif";
						}
						$nom = blindeNom("$filename");
						$afficdir = blindeLien("/$dir/");
						echo
 "<div class='cible' onclick='if(altClick==0){memoContext();lanceAction(\"\");}' onmouseover='rechOver(this,\"Rech$nbElement\")' onmouseout='rechOut(this)' style='white-space:nowrap; height:32px; padding-left:6px; cursor:pointer;'>"
."<div id='divInfoRech$nbElement' style='display:none'> \n"
."  tabFileInfo.fileInfoRech$nbElement= { \n"
."  num : \"Rech$nbElement\", \n"
."  lnk : \"$lien\", \n"
."  nom : \"$nom\", \n"
."  ext : \"$extension\", \n"
."  lab : \"$labelType\", \n"
."  tai : \"$taille\", \n"
////."  prm : \"$droit\", \n" //// 編集操作はできないように。
."  prm : \"R\", \n"
."  pro : \"dossier\", \n"
."  dtm : \"$modif\", \n"
."  web : \"\", \n"
."  fav : \"\", \n"
."  srv : \"$nomSrv\" \n"
." }; \n"
."</div>"

."<div class='caseimg' style='width:32px;height:32px;float:left;cursor:pointer;clear:both;'><img src='".$_SESSION["ws"]["cheminIcn"]."minis/big3.".$_SESSION["ws"]["formatExt"]."'></div>"
."<div style='white-space:nowrap;overflow:hidden;'><u class='lien' onmouseover='this.className=\"lienover\"' onmouseout='this.className=\"lien\"'><b>$nom</b></u>"
."<br />(<span onclick='if(altClick==0){iciPro=\"dossier\";iciLien=\"".dirname($lien)."\";}' onmouseover='this.style.background=\"#f8f\";' onmouseout='this.style.background=\"transparent\";' style='cursor:default;background:transparent;'><img src='style/Standard/images/infolien.png'>$afficdir</span>)</div></div>"
."<div class='comment' style='white-space:nowrap;overflow:hidden;' >&nbsp;".($comment?$comment:"")."</div>"
."<img src='".$_SESSION["ws"]["cheminImg"]."barre.".$_SESSION["ws"]["formatExt"]."' style='width:90%;height:1px;padding:3px'><br />\n";

						$trouve = 1;
						$nbElement++;
					}
					if($niveau < 9)
					{
						$files["filename"] = recScandirFTP("$dir/$filename", $recherche_file, $casse, $niveau+1);
					}
				}
				else //// これはファイル
				{
					if( ($droit != "N") && ($droit != "W")
						&& ( (($casse != 1) && (preg_match("@$recherche_file@ui",$filename)))
							|| (($casse == 1) && (preg_match("@$recherche_file@u", $filename)))
							|| ( comment_match($param, $filename, $recherche_comment, $casse)) ) ) //// comment_match追加。
					{ //// 検索語が見つかった。
						$comment = comment_get($param, $filename);
						$lien= blindeLien("$dir/$filename");
						if($cheminRelatif != "/")
						{
							$cheminRelatif = "/$cheminRelatif";
						}
						$nom = convertUTF8(blindeNom("$filename"));
						$afficdir = blindeLien("/$dir/");
						$point = strrpos($nom, ".");
						$extension  = substr($nom, intval($point)+1);
						$nomfichier = substr($nom, 0, intval($point));

						//// 可能な限り縮小画像を表示するようにしよう。
						if(preg_match($typeImgReco, $extension))
						{
							$imgsrc = "moteur/pic.php?mini=1&typeimg=".strtolower($extension)."&pic=".rawurlencode($lien);
						}
						else
						{
							$imgsrc = $_SESSION["ws"]["cheminIcn"]."minis/".strtolower($extension).".".$_SESSION["ws"]["formatExt"];
						}

						echo
 "<div class='cible' onclick='if(altClick==0){memoContext();lanceAction(\"\");}' onmouseover='rechOver(this,\"Rech$nbElement\")' onmouseout='rechOut(this)' style='white-space:nowrap; height:32px; padding-left:6px;cursor:pointer;'>"
."<div id='divInfoRech$nbElement' style='display:none'> \n"
."  tabFileInfo.fileInfoRech$nbElement= { \n"
."  num : \"Rech$nbElement\", \n"
."  lnk : \"$lien\", \n"
."  nom : \"$nomfichier\", \n"
."  ext : \"$extension\", \n"
."  lab : \"$labelType\", \n"
."  tai : \"$taille\", \n"
////."  prm : \"$droit\", \n" //// 編集操作はできないように。
."  prm : \"R\", \n"
."  pro : \"local\", \n"
."  dtm : \"$modif\", \n"
."  web : \"$lienWeb\", \n"
."  fav : \"\", \n"
."  srv : \"$nomSrv\" \n"
." }; \n"
."</div>"
."<div class='caseimg' style='width:40px;height:30px;float:left;cursor:pointer;clear:both;text-align:center;'><img src='".$imgsrc."' style='max-width:40px;max-height:30px;'></div>"
."<div style='padding-left:2px;white-space:nowrap;overflow:hidden;'><u class='lien' onmouseover='this.className=\"lienover\"' onmouseout='this.className=\"lien\"'><b>$nom</b></u>"
."<br />(<span onclick='if(altClick==0){iciPro=\"dossier\";iciLien=\"".dirname($lien)."\";}' onmouseover='this.style.background=\"#f8f\";' onmouseout='this.style.background=\"transparent\";' style='cursor:default;background:transparent;'><img src='style/Standard/images/infolien.png'>$afficdir</span>)</div></div>"
."<div class='comment' style='white-space:nowrap;overflow:hidden;' >&nbsp;".($comment?$comment:"")."</div>"
."<img src='".$_SESSION["ws"]["cheminImg"]."barre.".$_SESSION["ws"]["formatExt"]."' style='width:90%;height:1px;padding:3px'><br />\n";

						$trouve = 1;
						$nbElement++;
					}
				}
			}
		}
		return $files;
	}
}

//// コメントも検索対象に追加するため新たに追加。
function comment_match($param, $file, $recherche_comment, $casse)
{
	if(!$param || !$file || !$recherche_comment) { return FALSE; }
	$reg_pattern = "@\[[^/]+/$file\]\n*[^\[]*".$recherche_comment."[^\[]*(?:\[|$)@";
	if( (($casse != 1) && preg_match($reg_pattern.'i', $param)) || (($casse == 1) && preg_match($reg_pattern, $param)) )
	{
		return TRUE;
	}
	return FALSE;
}
//// コメントを取得する。複数あったら" "で区切って連結する。
function comment_get($param, $file)
{
	if(!$param || !$file) { return ''; }
	$reg_pattern = "@\[[^/]+/$file\]\n*([^\[]*)@u";
	if($comment_count = preg_match_all($reg_pattern, $param, $reg))
	{
		$comment = trim($reg[1][0]); //// 最初のコメント
		for($count=1; $count < $comment_count; $count++)
		{
			$comment .= " ".trim($reg[1][$count]);
		}
		return preg_replace("@\n@u", " ", $comment);
	}
	return '';
}

echo
 "<div class='recherche'><div class='rubrique' style='white-space:nowrap'>"
."<img src='".$_SESSION["ws"]["cheminImg"]."prop.".$_SESSION["ws"]["formatExt"]."' style='float:left;margin:6px;margin-right:2px'>"
."<img src='".$_SESSION["ws"]["cheminImg"]."close.".$_SESSION["ws"]["formatExt"]."' style='float:right;margin:6px;margin-right:2px;cursor:pointer' onclick='recupFavoris();alternerFavoris(2);'>"
."&nbsp;<b style='color:#000'>".$_SESSION["ws"]["dia"]["searchIn"]."<br /> &nbsp; '$recherche_file':</b></div>";

if($_SESSION["ws"]["$nomSrv"]["typeServeur"] != 2)
{
	recScandir("", $recherche_file, $casse, 0);
}
else
{
	$_SESSION["ws"]["$nomSrv"]["connexion"]=connexionFTP($nomSrv);
	recScandirFTP($chemin, $recherche_file, $casse, 0);
	closeFTP($nomSrv);
}

if(!$trouve)
{
	echo $_SESSION["ws"]["dia"]["noResult"];
}
 $tabLog = array("15", "1", $_SESSION["ws"]["dia"]["searchIn"]." ".$recherche_file.", ".(!$trouve?$_SESSION["ws"]["dia"]["noResult"]:$nbElement.$_SESSION["ws"]["dia"]["elementsFound"]),$_SESSION["ws"]["nomUser"],$_SESSION["ws"]["dossierActif"],$recherche_file, "");
$l_sql->logAction($tabLog);
$l_sql->disconnect();
echo "</div>";

?>
