<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Affiche le lecteur Windows Media Player
// Nom      : wmplayer.php
// Version  : 0.8.2
// Date     : 21/02/08
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// Windows Media Player によるビデオ、オーディオ再生。
//// 参考
////  http://msdn.microsoft.com/ja-jp/library/cc410885.aspx
////  http://msdn.microsoft.com/ja-jp/library/dd148559.aspx
////  http://msdn.microsoft.com/ja-jp/library/cc392570.aspx
////  最近Windows Media PlyerはIE以外ではちゃんと動作しないので、IE以外ではメニューに表示しないようにしてある。

session_start();
include_once "../../moteur/auth.php";
include_once "../../wspasswd/define.php";
include_once "../../moteur/fonctions.php";
//$chemin = rawurldecode($_REQUEST["chemin"]);
$chemin = $_REQUEST["chemin"];
//$src    = "../../$chemin"; //// 相対パス。
$src = 'http://'.preg_replace('@/plugins/.*$@', "/$chemin", $_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF']); //// 絶対パス。
$extension = preg_match('@\.([^\.]+)$@', $chemin, $reg) ? $reg[1] : "";
$typeMime  = $extension ? $_SESSION["ws"]["assoc"]["$extension"]["extmime"] : '';
?>
<html>
<head>
</head>
<body style="width:100%;height:100%;margin:0;border:0;padding:10px;text-align:center;">
<?php ////echo("src=$src<br>extension=$extension<br>typemime=$typeMime</body></html>");exit;////for check ?>
<script type="text/javascript">
  <?php //// 画面サイズを取得して大きさを設定。<body>のあとでないとだめ。bodyはwidth.heightに100%を指定しておかないとだめ。 ?>
  windowWidth  = document.documentElement.clientWidth  ? document.documentElement.clientWidth  : (document.body.clientWidth  ? document.body.clientWidth  : window.innerWidth);
  windowHeight = document.documentElement.clientHeight ? document.documentElement.clientHeight : (document.body.clientHeight ? document.body.clientHeight : window.innerHeight);
<?php if(!preg_match('@MSIE |Trident/@', $_SERVER['HTTP_USER_AGENT'])) { ?>
  windowWidth  -= 16; // ブラウザによってスクロールバーの分ちがうらしいので調整。
  windowHeight -= 16;
<?php } ?>
  windowWidth  -= 20; // bodyのpadding分。
  windowHeight -= (20+70); // bodyのpadding分 + コントロールの高さ。
  zoom = Math.min(windowWidth/16, windowHeight/9);<?php //// 画面縦横比率をテレビと同じ16対9とした。 ?>
  objectWidth   = Math.floor(16*zoom);
  objectHeight  = Math.floor(9*zoom) +70;
  <?php //// OBJECTはIE向け、EMBEDはMozzila系向け。 ?>
  document.body.innerHTML = ''
+'<OBJECT Id="wmplayer" Width="'+objectWidth+'" Height="'+objectHeight+'"'
+' ClassId="CLSID:22D6F312-B0F6-11D0-94AB-0080C74C7E95"'
+' CodeBase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=6,4,7,1112"'
+' StandBy="Chargement de Media Player..."'
+' Type="application/x-oleobject">'
+'<PARAM NAME="FileName" VALUE="<?php echo $src; ?>">'
+'<PARAM NAME="AutoStart" VALUE="true">'
+'<PARAM NAME="AutoSize" VALUE="true">'
+'<PARAM NAME="TransparentAtStart" VALUE="true">'
+'<PARAM NAME="ShowControls" VALUE="true">'
+'<PARAM NAME="ShowStatusBar" VALUE="true">'
+'<EMBED Name="wmplayer"'
+' Type="application/x-mplayer2"'
+' Src="<?php echo $src; ?>"'
+' Width="'+objectWidth+'" Height="'+objectHeight+'"'
+' AutoStart="1"'
+' AutoSize="1"'
+' TransparentAtStart="1"'
+' ShowControls="1"'
+' ShowStatusBar="1"'
+' PluginsPage="http://www.microsoft.com/Windows/MediaPlayer/">'
+'</EMBED>'
+'</OBJECT>';
</script>
</body>
</html>
